/*
 * Beyond Arduino 2 - 1 Blink.c
 *
 *	Nuts & Volts - Beyond Arduino #2
 *  --------------------------------
 *	Blinks an LED on PB0, illustrating register 
 *  usage and bitwise operations
 *
 *  Author: Andrew Retallack
 *			www.crash-bang.com
 */ 

#define F_CPU 16000000UL	//Clock running at 16MHz. Need to define this prior to including "delay.h"

#include <avr/io.h>			//Standard support for AVR I/O registers
#include <util/delay.h>		//Library to handle delays


int main(void)
{

	DDRB = DDRB | (1<<DDB0);	//Set PB0 as output - same as pinMode(x, OUTPUT)
	
    while(1)
    {
		//Turn LED on
        PORTB = PORTB | (1<<PORTB0);		//Set PB0 high - same as digitalWrite(x, HIGH)
		_delay_ms(1000);					//Delay for 1 second - same as delay(1000)

		//Turn LED off
		PORTB = PORTB & (~ (1<<PORTB0) );	//Set PB0 low - same as digitalWrite(x, LOW)
		_delay_ms(1000);					//Delay for 1 second - same as delay(1000)
		
    }
}
